/**
 * LICENCIA LGPL:
 * 
 * Esta librera es Software Libre; Usted puede redistribuirla y/o modificarla
 * bajo los trminos de la GNU Lesser General Public License (LGPL) tal y como 
 * ha sido publicada por la Free Software Foundation; o bien la versin 2.1 de 
 * la Licencia, o (a su eleccin) cualquier versin posterior.
 * 
 * Esta librera se distribuye con la esperanza de que sea til, pero SIN 
 * NINGUNA GARANTA; tampoco las implcitas garantas de MERCANTILIDAD o 
 * ADECUACIN A UN PROPSITO PARTICULAR. Consulte la GNU Lesser General Public 
 * License (LGPL) para ms detalles
 * 
 * Usted debe recibir una copia de la GNU Lesser General Public License (LGPL) 
 * junto con esta librera; si no es as, escriba a la Free Software Foundation 
 * Inc. 51 Franklin Street, 5 Piso, Boston, MA 02110-1301, USA o consulte
 * <http://www.gnu.org/licenses/>.
 *
 * Copyright 2011 Agencia de Tecnologa y Certificacin Electrnica
 */
package es.accv.arangi.base.certificate.validation;

import java.util.Date;
import java.util.Map;

import es.accv.arangi.base.util.validation.ValidationResult;

/**
 * Resultado de la validacin a travs del servicio de validacin de 
 * certificados.
 * 
 * @author <a href="mailto:jgutierrez@accv.es">Jos Manuel Gutirrez Nez</a>
 */
public class CertificateValidationServiceResult {

	private int result;
	
	private Map<String, Object> fields;
	
	private Date revocationDate;
	
	private int revocationReason;
	
	private OCSPResponse ocspResponse; 
	
	private int certificateCategory;

	public CertificateValidationServiceResult() {
		super();
	}
	
	public CertificateValidationServiceResult(int result,
			Map<String, Object> fields) {
		super();
		this.result = result;
		this.fields = fields;
	}

	public int getResult() {
		return result;
	}

	public void setResult(int result) {
		this.result = result;
	}

	public Map<String, Object> getFields() {
		return fields;
	}

	public void setFields(Map<String, Object> fields) {
		this.fields = fields;
	}

	public Date getRevocationDate() {
		return revocationDate;
	}

	public void setRevocationDate(Date revocationDate) {
		this.revocationDate = revocationDate;
	}

	public int getRevocationReason() {
		return revocationReason;
	}

	public void setRevocationReason(int revocationReason) {
		this.revocationReason = revocationReason;
	}

	public OCSPResponse getOcspResponse() {
		return ocspResponse;
	}

	public void setOcspResponse(OCSPResponse ocspResponse) {
		this.ocspResponse = ocspResponse;
	}

	public boolean isValid() {
		return getResult() == ValidationResult.RESULT_VALID;
	}

	public int getCertificateCategory() {
		return certificateCategory;
	}

	public void setCertificateCategory(int certificateCategory) {
		this.certificateCategory = certificateCategory;
	}
}
