/**
 * LICENCIA LGPL:
 * 
 * Esta librera es Software Libre; Usted puede redistribuirla y/o modificarla
 * bajo los trminos de la GNU Lesser General Public License (LGPL) tal y como 
 * ha sido publicada por la Free Software Foundation; o bien la versin 2.1 de 
 * la Licencia, o (a su eleccin) cualquier versin posterior.
 * 
 * Esta librera se distribuye con la esperanza de que sea til, pero SIN 
 * NINGUNA GARANTA; tampoco las implcitas garantas de MERCANTILIDAD o 
 * ADECUACIN A UN PROPSITO PARTICULAR. Consulte la GNU Lesser General Public 
 * License (LGPL) para ms detalles
 * 
 * Usted debe recibir una copia de la GNU Lesser General Public License (LGPL) 
 * junto con esta librera; si no es as, escriba a la Free Software Foundation 
 * Inc. 51 Franklin Street, 5 Piso, Boston, MA 02110-1301, USA o consulte
 * <http://www.gnu.org/licenses/>.
 *
 * Copyright 2011 Agencia de Tecnologa y Certificacin Electrnica
 */
package es.accv.arangi.base.exception.signature;

import es.accv.arangi.base.exception.DocumentException;

/**
 * Excepcion cuando se trata de cofirmar un documento con una firma que no se corresponde
 * con dicho documento.
 * 
 * @author <a href="mailto:nmari@accv.es">Nria Empar Mar Aguilar</a>
 */
public class NoCoincidentDocumentException extends DocumentException {

	private static final long serialVersionUID = 2757900829219192666L;
	
	public NoCoincidentDocumentException() {
		super();
	}

	public NoCoincidentDocumentException(String message, Throwable cause) {
		super(message, cause);
	}

	public NoCoincidentDocumentException(String message) {
		super(message);
	}

	public NoCoincidentDocumentException(Throwable cause) {
		super(cause);
	}


	
}
